#
# spec file for vmubc-v5vlm
#


# 
# The summary tag is used to provide a one-line description of the packaged
# software. An example:  Summary: A CD player app that rocks!

Summary: Virtual memory monitor utility


# The name tag in most cases should be identical in spelling and case to
# the software being packaged. The name cannot contain any whitespace
# example:    Name: cdplayer

Name: vmubc

# Note: The "Version" may not contain any hyphens or spaces
#  a correct entry:  Version: 1.2
# 

Version: v5vlm


# Note: Release tags may not contain hyphens
# A typical release tag is:
#   Release: 5     

Release: 5


# The copyright tag in most cases will be "GPL" for GNU General Public License

Copyright: Digital Equipment Corporation


# The group tag is used to group packages together by the types of 
# functionality they provide. They are meant to permit graphical front-ends to
# RPM to display packages in a hierarchical fashion. Examples:
# Group: Applications/Editors
# Group: Applications/Spreadsheets

Group:  Performance/Tools


# The source tag, although it may be an FTP or URL location, must "end" with an 
# "ironclad" filename that describes to RPM exactly where to find it in the 
# "SOURCES" directory. Multiple Source tags are allowed by incrementing the
# tag name such as:
# Source0: blather-4.5.tar.gz
# Source1: bother-1.2.tar.gz
# or:
# Source: ftp://ftp.gnomovision.com/pub/cdplayer-1.0.tgz

Source: vmubc-v5vlm.tar.gz

# The patch tag is used to identify which patches are associated with the
# software being packaged. The patch files are kept in RPM's SOURCES 
# directory, so only the name of the patch file should be specified.
# An example:
# Patch: cdp-0.33-fsstnd.patch

Patch0: vmubc-v5vlm-alpha.patch

# The following patch was submitted by Dan Cernese to fix a problem
# where the CPU bar display would turn black on a system that had
# been "running" for a long time.
 
Patch1: vmubc-v5vlm-tick.patch

# The prefix tag is used when a relocatable package is to be built. A 
# relocatable package can be installed normally or can be installed in a 
# user-specified directory, by using RPM's --prefix install-time option.
# The data specified after the prefix tag should be part of the packages's 
# path that may be changed during the installation. For example, if the 
# following prefix line were included in a spec file:
# Prefix: /opt
# and the following file were specified in the spec file's %files list:
# /opt/blather/foonly
# then the file foonly would be installed in /opt/blather if the package
# was installed normally. It would be installed in /usr/local/blather if the
# package was installed with the --prefix /usr/local option.

# Prefix: /usr/local


#URL:


# The distribution tag is used if the sofware is part of a group of packages
#Distribution:


# The icon tag is used to name a file containing an icon representing the
# packaged software. The file may be either in GIF or XPM format, although
# XPM id preferred. In either case, the background of the icon should be
# transparent. The file should be placed in the RPM's SOURCES directory prior
# to performing a build, so no path is needed. The icon is normally used by
# graphically oriented front ends to RPM. RPM itself doesn't use the icon,
# but it's stored in the package file and retained in RPM's database after 
# the package is installed. A sample icon tag might look like this:
# Icon: foo.xpm

#Icon:


# The vendor tag is used to define the name of the entity that is responsible
# for packaging the software. Normally this would be the name of an 
# organization. Here's an example:
# Vendor: White Socks Software, Inc.

Vendor: Compaq Computer Corp., Tru64 UNIX OSSC v5.1A

# The packager tag is used to hold the name and contact information of the
# person or persons who built the package. Normally this would be the person
# who actually built the package. Contact information such as an e-mail
# address or phone number should be included.
# 

Packager: Klaus Saggerer  freeware@zk3.dec.com

Provides: vmubc

AutoReqProv: yes

# The description tag is used to provide an in-depth description of the
# packaged software. The description should be several sentences in length
# that describe to the uninformed user what the software does.
# A "leading white space" allows for primitive formatting.

%description
vmubc displays Universal Buffer Cache, CPU and VM statistics, updating every 
second. This version of the program is an update for Tru64 UNIX V5 by
Bernard Laforgue.

%prep

%setup
%patch0 -p1 -b .alpha
%patch1 -p1 -b .tick

%build

make

%install

make install

mv /usr/local/bin/X11/vmubc /usr/local/bin/X11/vmubc-real
cp vmubc.ksh /usr/local/bin/X11/vmubc
chmod 755 /usr/local/bin/X11/vmubc

%files

%attr(444, root,system) /usr/local/lib/X11/uid/vmubc.uid
%attr(-, bin, bin)      /usr/local/bin/X11/vmubc
%attr(2555, root, mem)  /usr/local/bin/X11/vmubc-real
%attr(-, root, system)  /usr/local/man/man1/vmubc.1

%attr(-, root, system) %doc README explain.txt 


%clean
rm -r *
